U++ - Bug #1317
Broken ubuntu builds
10/30/2015 01:53 PM - Jan Dolinar

Status: Approved Start date: 10/30/2015
Priority: Normal Due date:

Assignee: Jan Dolinar % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Recent changes break nightly build on ubuntu (precise, vivid & trusty):
/«PKGBUILDDIR»/uppsrc/ide/Debuggers/GdbData.cpp: In member function 'void Gdb::QuickWatch()":

/«PKGBUILDDIR»/uppsrc/ide/Debuggers/GdbData.cpp:283:31: error: no matching function for call to 'findarg(int&,
Upp::<anonymous enum>, Upp::<anonymous enums)’'

Complete log: https://launchpadlibrarian.net/223730267/buildlog_ubuntu-trusty-i386.upp_9114-1~trusty0_BUILDING.txt.gz

History

#1 - 10/30/2015 01:54 PM - Miroslav Fidler
- Status changed from New to Ready for QA
- Assignee changed from Miroslav Fidler to Jan Dolinar

Should be already fixed, one of those rare cases when it compiles in C++11, but not in C++98...

#2 - 11/02/2015 03:56 AM - Jan Dolinar
- Status changed from Ready for QA to Approved
